#ifndef BLE_UART_UUID_H
#define BLE_UART_UUID_H
/*
  BLE_UART_UUIDs.h
   (c)2022 Forward Computing and Control Pty. Ltd.
   NSW Australia, www.forward.com.au
   This code is not warranted to be fit for any purpose. You may only use it at your own risk.
   This code may be freely used for both private and commercial use
   Provide this copyright is maintained.
*/


// BLE_UART_UUIDs.h
// defines and vars for Nordic BLE UART
#include "BLEDevice.h"

#define SERVICE_UUID           "6E400001-B5A3-F393-E0A9-E50E24DCCA9E" // UART service UUID
#define CHARACTERISTIC_UUID_RX "6E400002-B5A3-F393-E0A9-E50E24DCCA9E"
#define CHARACTERISTIC_UUID_TX "6E400003-B5A3-F393-E0A9-E50E24DCCA9E"

static BLEUUID serviceUUID(SERVICE_UUID);
static BLEUUID charUUID_TX(CHARACTERISTIC_UUID_TX);   // read from server
static BLEUUID charUUID_RX(CHARACTERISTIC_UUID_RX);   // write to server

#endif
