#ifndef POWER_SWITCH_MSG_PARSER_H
#define POWER_SWITCH_MSG_PARSER_H
/*
  PowerSwitchMsgParser.h
   (c)2022 Forward Computing and Control Pty. Ltd.
   NSW Australia, www.forward.com.au
   This code is not warranted to be fit for any purpose. You may only use it at your own risk.
   This code may be freely used for both private and commercial use
   Provide this copyright is maintained.
*/

#include "UART_Client.h" 
// for MAX_PFOD_MSG_LEN

extern volatile char powerSwitchMsg[MAX_PFOD_MSG_LEN];
bool parsePowerSwitchMsg(); // call on the loop() thread, returns true when Power Switch msg parsed
int getADCreading(); // returns last read PowerSwitch adc reading 1023 == 3V
bool isPowerSwitchOn(); // returns true if last PowerSwitch msg had PowerSwitch On

// local override when sending cmd
// call this with the expected result,
// next reading will set the correct value
void setPowerIsOn(bool flag);

void setPowerSwitchMsgParserDebugOut(Print* outPtr);
#endif
