#ifndef UART_CLIENT_H
#define UART_CLIENT_H
/*
  UART_Client.h
   (c)2022 Forward Computing and Control Pty. Ltd.
   NSW Australia, www.forward.com.au
   This code is not warranted to be fit for any purpose. You may only use it at your own risk.
   This code may be freely used for both private and commercial use
   Provide this copyright is maintained.
*/


#include <BLEDevice.h>
#include <SafeString.h>
bool connectTo(BLEAdvertisedDevice* _myDevice);
bool isWaitingForResponse();
void sendMsg(const char*msg); // limited to 20 chars others just dropped
void setMsgParser(void (*_msgParser)(SafeString &sfMsg));
bool UART_Client_isConnected();
void UART_Client_disconnect();
void setUART_ClientDebugOut(Print* outPtr);
const size_t MAX_PFOD_MSG_LEN = 1024;
#endif
